<?php

include 'system/sys.php';
include 'system/funcs.php';

if (!isset ($us)) {
        header ('location: /');
        exit;
}

H ('Добавить аватарку', 'Добавление аватарки');

if (file_exists('./files/avs/' . $us['id'] . '.jpg')) {
        
        echo '<div class="list1"><a href="/ava.php?del"><img src="/files/avs/' . $us['id'] . '.jpg" alt="" style="max-width: 208px; max-height: 208px;"/></a></div>';
        echo '<div class="lst">* Нажмите на аватар чтобы удалить его.</div>';
        
        if (isset ($_GET['del'])) {
                unlink ('./files/avs/' . $us['id'] . '.jpg');
                header ('location: /ava.php');
        }
        
}
else {
        
        echo '<div class="list1">';
        echo '<form action="/ava.php?ok" method="post" enctype="multipart/form-data">';
        echo 'Файл:<br/><input type="file" name="filename"/><br/>';
        echo '<input type="submit" value="Загрузить"/>';
        echo '</form>';
        echo '<b>* До 5 мб.</b><br/>';
        echo '</div>';
        
        if (isset ($_GET['ok'])) {
                if (file_exists ($_FILES['filename']['tmp_name'])) {
                        $ext = substr ($_FILES['filename']['name'], strrpos ($_FILES['filename']['name'], '.') + 1);  
                        if ( ! in_array ($ext, array ('jpg','gif','png','jpeg','bmp'))) {
                            echo '<div class="list1"><b>Запрещенный формат файла!</b></div>';
                        }
                        else {
                                if ( ! move_uploaded_file ($_FILES['filename']['tmp_name'], 'files/avs/' . $us['id'] . '.jpg')) {
                                        echo '<div class="list1"><b>Ошибка!</b></div>';
                                }
                                else {
                                        header ('location: /ava.php');
                                }
                        }
                }
        }
        
        
}

F ();

?>